Bug 1013855 - RFE: Encryption for data stored in-memory using an interceptor
RFE: Encryption for data stored in-memory using an interceptor
Status: CLOSED DEFERRED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.2.0
Assigned To: Mandar Joshi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 19:51 EDT by Misha H. Ali
Modified: 2015-08-31 22:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 07:50:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-09-30 19:51:49 EDT
Can encrypt the data when stored in-memory using an Interceptor - how? 

A simple example in docs or a quick start would be helpful. Will this work in Client-server mode?
Comment 4 Misha H. Ali 2013-09-30 23:13:56 EDT
Asked Tristan about any information he may have about how to use interceptors for encryption. Waiting on response now.
Comment 6 Misha H. Ali 2013-10-23 21:46:03 EDT
Need information on this from Tristan, or pointer to another SME who may know more. Waiting for information to start drafting content, but review will be after QE finishes testing the security features.
Comment 8 Tristan Tarrant 2013-10-29 12:45:30 EDT
Actually this is better implemented using a custom marshaller wrapper. Writing up an example however will require a little bit of time

Note You need to log in before you can comment on or make changes to this bug.